curl -X POST 'https://api.serialized.xyz/v1/wallet/profile' \
-H 'Authorization: YOUR_API_KEY' -H 'Content-Type: application/json' \
-d '{"items":[{"address":"0xd8da6bf26964af9d7eed9e03e53415d37aa96045"},{"address":"GuhieZDx6nwJV14WjeUQH2ted6CGPKoGCCTaPSPNgG2E"}]}'
{
"data": [
{
"data": {
"profile": {
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"displayName": "vitalik.eth",
"avatarUrl": "https://euc.li/vitalik.eth",
"ensName": "vitalik.eth",
"basename": null,
"solName": null,
"bio": "I choose balance. First-level balance.\n\nmi pinxe lo crino tcati\n\nhttps://t.co/gCQrmCby7P",
"socials": {
"url": "https://vitalik.ca",
"arkham": "vitalik-buterin",
"github": "vbuterin",
"twitter": "VitalikButerin",
"farcaster": "vitalik.eth",
"gmgn_tags": "bluechip_owner,kol",
"gmgn_chain": "eth"
},
"followerCounts": {
"gmgn": 1974,
"twitter": 7557156,
"farcaster": 536314,
"gmgn_renamed": 1337
},
"sources": [
"arkham",
"gmgn",
"ud",
"farcaster",
"basenames",
"ens"
],
"identityGroup": "twitter:VitalikButerin",
"isProTrader": false
},
"linkedWallets": [
"0xa6a54119b8d20219e6ffeb8026fb557651c3b9b6"
]
}
},
{
"data": {
"profile": null,
"linkedWallets": []
}
}
],
"meta": {
"asOf": 1787163134666
}
}
Wallet Profile
Wallet Profile: batch
Batch twin: up to 100 addresses per call, response array in input order. Each slot is { data } where data is the body of the single GET ({ profile, linkedWallets }), the same slot shape as every other batch endpoint. A wallet without a known identity comes back as { data: { profile: null, linkedWallets: [] } } (identities are harvested continuously - retry later, never assume permanent).
POST
/
v1
/
wallet
/
profile
curl -X POST 'https://api.serialized.xyz/v1/wallet/profile' \
-H 'Authorization: YOUR_API_KEY' -H 'Content-Type: application/json' \
-d '{"items":[{"address":"0xd8da6bf26964af9d7eed9e03e53415d37aa96045"},{"address":"GuhieZDx6nwJV14WjeUQH2ted6CGPKoGCCTaPSPNgG2E"}]}'
{
"data": [
{
"data": {
"profile": {
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"displayName": "vitalik.eth",
"avatarUrl": "https://euc.li/vitalik.eth",
"ensName": "vitalik.eth",
"basename": null,
"solName": null,
"bio": "I choose balance. First-level balance.\n\nmi pinxe lo crino tcati\n\nhttps://t.co/gCQrmCby7P",
"socials": {
"url": "https://vitalik.ca",
"arkham": "vitalik-buterin",
"github": "vbuterin",
"twitter": "VitalikButerin",
"farcaster": "vitalik.eth",
"gmgn_tags": "bluechip_owner,kol",
"gmgn_chain": "eth"
},
"followerCounts": {
"gmgn": 1974,
"twitter": 7557156,
"farcaster": 536314,
"gmgn_renamed": 1337
},
"sources": [
"arkham",
"gmgn",
"ud",
"farcaster",
"basenames",
"ens"
],
"identityGroup": "twitter:VitalikButerin",
"isProTrader": false
},
"linkedWallets": [
"0xa6a54119b8d20219e6ffeb8026fb557651c3b9b6"
]
}
},
{
"data": {
"profile": null,
"linkedWallets": []
}
}
],
"meta": {
"asOf": 1787163134666
}
}
POST /v1/wallet/profile · 1 per item credit
Batch twin: up to 100 addresses per call, response array in input order. Each slot is { data } where data is the body of the single GET ({ profile, linkedWallets }), the same slot shape as every other batch endpoint. A wallet without a known identity comes back as { data: { profile: null, linkedWallets: [] } } (identities are harvested continuously - retry later, never assume permanent).
curl -X POST 'https://api.serialized.xyz/v1/wallet/profile' \
-H 'Authorization: YOUR_API_KEY' -H 'Content-Type: application/json' \
-d '{"items":[{"address":"0xd8da6bf26964af9d7eed9e03e53415d37aa96045"},{"address":"GuhieZDx6nwJV14WjeUQH2ted6CGPKoGCCTaPSPNgG2E"}]}'
{
"data": [
{
"data": {
"profile": {
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"displayName": "vitalik.eth",
"avatarUrl": "https://euc.li/vitalik.eth",
"ensName": "vitalik.eth",
"basename": null,
"solName": null,
"bio": "I choose balance. First-level balance.\n\nmi pinxe lo crino tcati\n\nhttps://t.co/gCQrmCby7P",
"socials": {
"url": "https://vitalik.ca",
"arkham": "vitalik-buterin",
"github": "vbuterin",
"twitter": "VitalikButerin",
"farcaster": "vitalik.eth",
"gmgn_tags": "bluechip_owner,kol",
"gmgn_chain": "eth"
},
"followerCounts": {
"gmgn": 1974,
"twitter": 7557156,
"farcaster": 536314,
"gmgn_renamed": 1337
},
"sources": [
"arkham",
"gmgn",
"ud",
"farcaster",
"basenames",
"ens"
],
"identityGroup": "twitter:VitalikButerin",
"isProTrader": false
},
"linkedWallets": [
"0xa6a54119b8d20219e6ffeb8026fb557651c3b9b6"
]
}
},
{
"data": {
"profile": null,
"linkedWallets": []
}
}
],
"meta": {
"asOf": 1787163134666
}
}
Authorizations
Your raw API key (not needed on the demo server).
Body
application/json
[{ "address": "…" }] - 1 to 100 items, EVM and Solana mixed freely.
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
200
Standard { data, meta } envelope.